Skip to main content
DMZ

Create DMZ upload file destination

This method requires the DmzUploadFileDestinations:Create permission to be associated with your role.

POST
/gb/dmz-upload-file-destinations
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Body

multipart/form-data
hoststringrequired

Host

Required string length: 1 - 255
keystring

SSH key (private)

Note, if you hold a PGP key for file encryption purposes, do not specify that here. Use the setDmzUploadFileDestinationEncryptionKey API.

namestringrequired

Name

Required string length: 1 - 50
passwordstring

Password

portintegerrequired

Port

Required range: 1 <= x <= 65535
typeenum<string>required

Type

Available options: sftp
usernamestringrequired

Username

Required string length: 1 - 32

Response

application/vnd.catch-e-api.v1+json

Success

configurationobject
dmz_upload_file_destination_idstring
namestring
status_flagenum<string>
Available options: active, inactive
typeenum<string>
Available options: sftp